import Foundation
import SQLite
import HealthKit

extension HealthDatabase {

    static func mock() -> HealthDatabase {

        do {
            let database = try makeDatabase()
            return .init(database: database)
        } catch {
            print(error)
            fatalError("Failed to create mock database: \(error)")
        }
    }

    private static func makeDatabase() throws -> Connection {
        let database = try Connection(.inMemory)

        try WorkoutTable.create(in: database)
        try HKWorkoutEventTable.create(in: database)
        try WorkoutActivityTable.create(in: database)
        try Metadata.createTables(in: database)

        try WorkoutTable.insert(.mock1, in: database)
        return database
    }
}
